Subject: Re: [PATCH] gnu: Add mrustc.

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 2 Apr 2018 20:51:41 +0200

Hi Catonano,

On Mon, 2 Apr 2018 19:21:27 +0200
Catonano <[email-masked]> wrote:

> Why is llvm needed ?

Rust uses LLVM to generate the actual images.

But it should be a native-input since mrustc doesn't use it, only Rust uses it.
(But mrustc compiles parts of the Rust source code for use in minicargo)

> I read on their git repo page that it's tested with the gcc 5.4 and 6 ?
> https://github.com/thepowersgang/mrustc

Hmm, good to know.  Right now we use 5.5 since that's what the rest of Guix uses.
Let's see whether it's enough.

> so there's the gcc too ? 🤔
> but then it's not used ?

Right, it's a leftover from when I tried to get rust-1.19.0 to use gcc to link
its executables.  I might need to adapt it to "symlink gcc cc" in a later version
still.